import request from '@/utils/request'

// 查询专利有效导入列表
export function listDPatentEffectiveInfo(query) {
  return request({
    url: '/dimp/dPatentEffectiveInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利有效导入详细
export function getDPatentEffectiveInfo(id) {
  return request({
    url: '/dimp/dPatentEffectiveInfo/' + id,
    method: 'get'
  })
}

// 新增专利有效导入
export function addDPatentEffectiveInfo(data) {
  return request({
    url: '/dimp/dPatentEffectiveInfo',
    method: 'post',
    data: data
  })
}

// 修改专利有效导入
export function updateDPatentEffectiveInfo(data) {
  return request({
    url: '/dimp/dPatentEffectiveInfo',
    method: 'put',
    data: data
  })
}

// 删除专利有效导入
export function delDPatentEffectiveInfo(id) {
  return request({
    url: '/dimp/dPatentEffectiveInfo/' + id,
    method: 'delete'
  })
}
